/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : XtrianMF.h                                                */
/*************************************************************************/
/*************************************************************************/

#ifndef _XTRIANMF_H
#define _XTRIANMF_H

#include "trianMF.h"

class XtrianMF : public trianMF
{
   public:

     virtual float getValue(float);
     virtual Function *getMyTwin();

     //* Constructor

     XtrianMF(float,float,float);

     friend ostream& operator<<(ostream&, const XtrianMF& );

     virtual void printOn(ostream&) const;

}; // end of class XtrianMF

XtrianMF::XtrianMF(float a1, float a2, float a3) : trianMF(a1,a2,a3) {}

float XtrianMF::getValue(float x) { return (x*trianMF::getValue(x)); }

Function * XtrianMF::getMyTwin()
{  XtrianMF *ret = new XtrianMF(getLeftBorder(),getCenter(),getRightBorder());
   (*ret).setCutOff(getCutOff());
   return ret;
}// end of getMyTwin()

ostream& operator<<(ostream& os, const XtrianMF& RHS)
{  RHS.printOn(os); 
   return os;
}// end of operator<<

void XtrianMF::printOn(ostream& os) const 
{  os << " XTriangle(" << Left << "," << center ;
   os << "," << Right << ") with " << cutOff;
}// end of printOn()

#endif
